<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>
<script>
    
    //subtask 6 : lọc mảng trả về mảng chứa phần tử có giá trị
    function LocMang(paramArray){
        var vResult = [];
        for(var vI = 0 ; vI <paramArray.length; vI++){
            isNaN(paramArray[vI]);
            if(isNaN(paramArray[vI]) == false && paramArray[vI] > 0 || paramArray[vI] < 0){
                vResult = vResult.concat(paramArray[vI]);
            }
        }
        return vResult;
    }

    var vTest = [NaN, 0, 15, false, -22, '',undefined, 47, null];
    console.log(LocMang(vTest));


    
</script>

</html>